Home > Cannot Load > Gem Cannot Load Such File -- Zlib

Gem Cannot Load Such File -- Zlib

Contents

Terms Privacy Security Status Help You can't perform that action at this time. Updating ruby-build Troubleshooting Writing custom build definitions Suggested build environment ruby-build will try its best to download and compile the wanted Ruby version, but sometimes compilation fails because of unmet system mona is not in the sudoers file. I think ubuntu users will also need sudo apt-get build-essentials? http://dekovsoft.com/cannot-load/cannot-load-such-file-zlib-mac.html

Join them; it only takes a minute: Sign up cannot load such file — zlib even after using rvm pkg install zlib up vote 99 down vote favorite 18 I installed more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed share|improve this answer answered Feb 9 '15 at 20:06 slhck 126k38321366 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign Should I create multiple maintenance plans to backup more than 200 User databases Pen Tester's Programming Style I just started my first real job, and have been asked to organize the

Gem Cannot Load Such File -- Zlib

The solution is to use rvm. Is adding the ‘tbl’ prefix to table names really a problem? Not the answer you're looking for?

Tommy Pollák (tpollak) said on 2012-11-10: #5 Yes! Check rvm autolibs show, which I hope will be default(enabled) since you just installed. Do Morpheus and his crew kill potential Ones? Rbenv Reinstall Ruby The bug will cause a segmentation fault whenever an SSL connection is opened, like .../timeout.rb:60: [BUG] Segmentation fault.

MacBook-Pro:~ user1$ gem install bundler ERROR: Loading command: install (LoadError) cannot load such file -- zlib ERROR: While executing gem ... (NoMethodError) undefined method `invoke_with_build_args' for nil:NilClass How to solve it, Rbenv Openssl ruby gem share|improve this question asked May 14 '15 at 9:01 stephenmurdoch 19.2k1683140 add a comment| 2 Answers 2 active oldest votes up vote 3 down vote The following worked for What now? http://stackoverflow.com/questions/30233255/error-installing-gems-cannot-load-such-file-zlib How do I handle this?

If you need to stay on the current version, however, you can work around the issue by setting LD_LIBRARY_PATH in your environment: LD_LIBRARY_PATH="$(rbenv root)/versions/2.1.0/lib:$LD_LIBRARY_PATH" ruby ... Rbenv Openssl El Capitan This is my pillow Do Morpheus and his crew kill potential Ones? "Carrie has arrived at the airport for two hours." - Is this sentence grammatically correct? Why is Professor Lewin correct regarding dimensional analysis, and I'm not? Ruby 2.2.1 works fine but 2.2.2 causes this issue whenever I try to install a gem.

Rbenv Openssl

Setting up zlib1g-dev (1:1.2.3.4.dfsg-3ubuntu4) ... http://stackoverflow.com/questions/24142126/install-bundler-with-rbenv-ruby-build Ask a question Edit question Subscribers Subscribe Subscribe someone else • Take the tour • Read the guide © 2004-2016 CanonicalLtd. • Terms of use • Contact Launchpad Support • Gem Cannot Load Such File -- Zlib asked 2 years ago viewed 632 times active 5 months ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 99 cannot load such file — zlib even after using Undefined Method `invoke_with_build_args' For Nil:nilclass Shall I send a patch to the readme?

You can check this with: mount | grep tmp df -h | grep tmp Compiling MRI requires at least 265 MB, so you should temporarily resize /tmp to allow more usage: Check This Out So after running this also zlib and zlib-devel should be available. Ubuntu: apt-get install zlib1g-dev Fedora: yum install zlib-devel Arch Linux default gem install path WARNING: You don't have ${HOME}/.gem/ruby/1.8/bin in your PATH, gem executables will not run. This incident will be reported How safe is 48V DC? Install Ruby-build

Why is looping over find's output bad practice? I did install zlib1g-dev but forgot to reinstall ruby. Developer does not see priority in git Development Workflow being followed On 1941 Dec 7, could Japan have destroyed the Panama Canal instead of Pearl Harbor in a surprise attack? Source How do I handle this?

Hyper Derivative definition. "cannot Load Such File -- Date" Not the answer you're looking for? Shared object "libyaml-0.so.2" not found, required by "psych.so" If you can, try upgrading to Ruby 2.1.2 where this issue seems to be fixed.

It is possible to define metric spaces from pure topological concepts without the need to define a distance function?

Browse other questions tagged ruby-on-rails gem rbenv or ask your own question. Browse other questions tagged ruby linux gem rvm or ask your own question. ln -s /opt/rubies ~/.rbenv/versions Now proceed as following: ruby-build /opt/rubies/ 1.8.7-p302 (and lower) segfaults for HTTPS requests on OS X 10.7+ Ruby 1.8.7 patchlevel 302 (and below, possibly above, including Brew Install Libssl-dev The cost of switching to electric cars?

How to decline a postdoc interview if there is some possible future collaboration? Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Join them; it only takes a minute: Sign up rbenv installed ruby 2.1.2 cannot load such file — zlib on MAC OSX 10.9.2 up vote 3 down vote favorite 2 I'm have a peek here You may have some other dependencies and might need libyaml-dev or openssl.

atom2ueki commented May 21, 2014 @sstephenson @zepheiryan I'm facing the same problem with ruby version 2.1.2, but this is not working for me Sign up for free to join this openSUSE: zypper install gcc automake gdbm-devel libffi-devel libyaml-devel openssl-devel ncurses-devel readline-devel zlib-devel Arch Linux: pacman -S base-devel libffi libyaml openssl zlib If you're using rbenv: remove --user-install flag from /etc/gemrc. You should mark this as the answer then. After rbenv uninstall 1.9.3-p286 rbenv install 1.9.3-p286 gem install rails worked!

Reload to refresh your session. Not the answer you're looking for? A guy scammed me, but he gave me a bank account number & routing number. Why?

I got ERROR: Loading command: install (LoadError) no such file to load -- zlib ERROR: While executing gem ... (NameError) uninitialized constant Gem::Commands::InstallCommand My solution was to delete the install and RVM autolibs docs: https://rvm.io/rvm/autolibs share|improve this answer answered May 14 '15 at 14:58 Kristján 10.5k32138 Thanks for your suggestion, I added a working fix but your advice got me share|improve this answer edited Jan 22 '15 at 22:49 rodowi 5,52421329 answered Sep 12 '14 at 0:58 ChrisBarthol 2,6731221 Thanks. Also installed zlib1g-devel but still cant install rails..